//
//  GameKitExampleViewController.h
//  GameKitExample
//
//  Created by Brad Larson on 3/15/2010.
//

#import <UIKit/UIKit.h>
#import <GameKit/GameKit.h>

@class MATCGlossyButton;

@interface GameKitExampleViewController : UIViewController <GKPeerPickerControllerDelegate, GKSessionDelegate>
{
	IBOutlet MATCGlossyButton *colorButton;
	
	int gameUniqueID;
	
	GKSession *connectionSession;
	NSString *connectionPeerId;
}

@property(nonatomic, retain) GKSession *connectionSession;
@property(nonatomic, copy) NSString *connectionPeerId;

// Button methods
- (IBAction)buttonDown:(id)sender;
- (IBAction)buttonUp:(id)sender;

// Session-related methods
- (void)invalidateSession:(GKSession *)session;


@end

